body {
    margin: 0;
    padding: 0;
    font-family: "Roboto", sans-serif;
    background: linear-gradient(
      180deg,
      rgba(40, 75, 99, 1) 0%,
      rgba(0, 0, 0, 1) 100%
    );
    transition: background-color 0.3s;
    color: #343a40;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
  }

  .container {
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: auto;
  }

  .container:hover .content {
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.2);
  }

.content {
    padding: 20px;
    background-color: #f5f5f5;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s, color 0.3s;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

.usuariosAtivosebutao {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  h1, h3 {
    color: #26485f;
  }

p {
    color: #555;
    line-height: 1.6;
}

.user_config {
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
  }
  
  .user_config a {
    color: #ccc;
    font-size: 1.5em;
}
  
  .exit_config {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    transition: 1s;
    font-size: 12px;
  }
  
  .exit_config a:hover {
    color: #000;
  }

button {
    background-color: #3c6e71;
    color: #fff;
    font-size: 12px;
    padding: 10px 45px;
    border: none;
    border-radius: 8px;
    font-weight: 600;
    letter-spacing: 0.5px;
    text-transform: uppercase;
    cursor: pointer;
    width: 100%;
  }
  
  button:hover {
    background-color: #0d1d27;
  }

/* Tabela estilo */
.tabela {
    max-height: 400px;
    overflow: scroll;
  }
  
  .tabela::-webkit-scrollbar {
    width: 20px;
  }
  
  .tabela::-webkit-scrollbar-thumb {
    border-radius: 50px;
    border: 4px solid #ededed;
    background: #26485f;
  }
  
  .tabela ::-webkit-scrollbar-track {
    /* fundo */
    border-radius: 50px;
  }
  
  .tabela::-webkit-scrollbar-corner {
    background-color: transparent;
  }
  
  table {
    min-width: 650px;
    /* margin: 20px auto; */
    border-collapse: collapse;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  }
  
  th,
  td {
    border: 1px solid #dee2e6;
    padding: 15px;
    text-align: left;
  }
  
  th {
    background-color: #003d7e;
    color: #ffffff;
    cursor: pointer;
  }
  
  /* Hover effect on table rows */
  tr:hover {
    background-color: #e9ecef;
    transition: background-color 0.3s ease-in-out;
  }
  
  tr:hover td {
    background-color: #dcdcdc;
    cursor: pointer;
  }

/* Estilos para telas menores ou iguais a 600 pixels (móveis) */
@media screen and (max-width: 600px) {
    .container {
        flex-direction: column;
    }

    .sidebar {
        width: 100%;
        border-right: none;
        border-bottom: 1px solid #495057;
        border-radius: 0;
    }

    .content {
        padding: 15px;
    }

    table tr.clicked {
        background-color: #dcdcdc;
    }

    table tr.clicked td {
        background-color: #e9ecef;
    }
}

/* Estilo do Rodapé */
footer {
    background-color: #2c3e50;
    color: #fff;
    text-align: center;
    padding: 10px 0;
    position: fixed;
    bottom: 0;
    width: 100%;
}

.container:hover .content {
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.2);
}

.container:hover h1 {
    color: #2c3e50;
}

.container:hover h2 {
    color: #2c3e50;
}

/* Adicione algum estilo extra conforme necessário */

/* Efeito de hover suave */
.smooth-hover:hover {
    transform: scale(1.05);
    transition: transform 0.3s ease-in-out;
}

/* Ícone no canto superior direito do conteúdo principal */
.content-icon {
    position: absolute;
    top: 20px;
    right: 20px;
    color: #3498db;
    font-size: 24px;
    cursor: pointer;
    transition: color 0.3s;
}

.content-icon:hover {
    color: #2c3e50;
}

.search-container {
    margin-bottom: 20px; /* Ajuste a margem inferior conforme necessário */
}

.search-container label {
    margin-right: 10px; /* Espaçamento entre a etiqueta e a entrada de texto */
}

.search-container input {
    padding: 8px; /* Espaçamento interno */
    border: 1px solid #ccc; /* Borda da caixa de texto */
    border-radius: 4px; /* Cantos arredondados */
}
